Class | Chef::Knife::CookbookCreate
In: | lib/chef/knife/cookbook_create.rb
Parent: | Knife

### Methods

create_changelog create_cookbook create_metadata create_readme run

### Public Instance methods

create_changelog(dir, cookbook_name)
create_cookbook(dir, cookbook_name, copyright, license)
create_metadata(dir, cookbook_name, copyright, email, license, readme_format)
create_readme(dir, cookbook_name, readme_format)
run()

[Validate]